Bug 73898 - Searching in man not working the same as before
Searching in man not working the same as before
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: groff (Show other bugs)
beta3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Florian La Roche
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 00:14 EDT by Joshua Jensen
Modified: 2007-03-26 23:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 05:46:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-09-13 00:14:49 EDT
Description of Problem:

I used to be able to search for switches like "-m" by typing:

/-m <enter>

Version-Release number of selected component (if applicable):

stock Psyche, pre re-spin

How Reproducible:

"man" anything, and try to search for something that begins with "-"
Comment 2 Eido Inoue 2003-01-14 00:03:01 EST
workaround for this is as follows (changing component to groff):

(to be added in man.local and
mdoc.local) until programs can handle Unicode hyphens correctly:

.if '\*[.T]'utf8' \
.  char \- \N'45'


Comment 3 Florian La Roche 2003-01-14 05:46:23 EST
This has dropped through in earlier rpms, but should finally be gone in
1.18.1-6 or newer. (I might have tested in screen only... Buah...)

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.